
Redmine - Defect #20628

Standard field (Due Date) for Redmine not showing as required.

2015-08-27 19:40 - Rafael Neves

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.2

Description

I´m using Redmine 2.6.2. Logged as admin user, standard field (Due Date) not required when adding a new issue, despite having set

up as required on workflow field permission.

I mean, When logged as other user (not admin) it works fine  (appears an red asterisk besides Due Date field), but i need to prevent

ALL users to not forget to fill due date, even they are admin users.  Is that a bug ? Possible to fix it ?

Thanks!

Related issues:

Is duplicate of Redmine - Defect #11887: Issue permission doesn't apply to Ad... New

History

#1 - 2015-08-27 22:24 - Rafael Neves

- File example_due_date_not_required.JPG added

Standard field (Due Date) for Redmine does not appears as required field.

see attached an example when i try to create a new issue as an admin user ( due date dos not appear with a red asterisk, like priority field for

example).

#2 - 2015-09-09 02:51 - Toshi MARUYAMA

- Category changed from Issues permissions to Issues workflow

- Status changed from New to Needs feedback

Rafael Neves wrote:

I´m using Redmine 2.6.2. Logged as admin user, standard field (Due Date) not required when adding a new issue, despite having set up as

required on workflow field permission.

 I cannot reproduce on 2.6.6.

#3 - 2015-09-09 02:52 - Toshi MARUYAMA

Rafael Neves wrote:

Standard field (Due Date) for Redmine does not appears as required field.

 I cannot reproduce on 2.6.6.

#4 - 2015-09-09 06:55 - Mischa The Evil

I am not entirely sure, but this looks like an issue the same as reported in #11887.

#5 - 2015-09-16 17:07 - Rafael Neves

thanks all. It was reported in Defect #11887 as Mischa said. Sorry for duplicating it.

#6 - 2015-09-16 17:42 - Rafael Neves

To clarify, the rule explanned by Perico Os Palotes on

#11887#note-7
https://www.redmine.org/versions/98
https://www.redmine.org/versions/98
https://www.redmine.org/issues/11887
https://www.redmine.org/issues/11887
https://www.redmine.org/issues/11887#note-7


solved my issue

thanks!!

#7 - 2015-10-16 07:14 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Thank you for your feedback.

#8 - 2015-10-16 07:14 - Toshi MARUYAMA

- Is duplicate of Defect #11887: Issue permission doesn't apply to Administrators added

Files

workflow_field_permission.JPG 15.8 KB 2015-08-27 Rafael Neves

example_due_date_not_required.JPG 38.9 KB 2015-08-27 Rafael Neves
